FROM docker.io/library/centos:7.8.2003

ENV GPU_FORCE_64BIT_PTR=1
ENV GPU_USE_SYNC_OBJECTS=1
ENV GPU_MAX_ALLOC_PERCENT=100

ENV LIBRARY_PATH=/opt/amdgpu-pro/lib64
ENV PYTHONPATH=/ms

COPY files /opt
RUN yum install -y epel-release &&  yum install -y moreutils  && \
    cd /opt/ && tar -xvf  amdgpu-pro-20.20-1089974-rhel-7.8.tar.xz && cd  amdgpu-pro-20.20-1089974-rhel-7.8 && ./amdgpu-install -y --opencl=legacy --headless --no-dkms && cp /opt/amdgpu-pro/bin/clinfo /usr/bin/ && \
    yum install -y python3

RUN yum install -y moreutils curl && cd /opt/ && curl https://gitlab.com/rndnet/apps2/job.py/-/archive/master/job.py-master.tar | tar -x && pip3 install -r job.py-master/requirements.txt && pip3 install ./job.py-master && rm -rf job.py-master
WORKDIR /rndnet



RUN yum install -y git gcc-c++ make opencl-headers ocl-icd cmake3 libconfig-devel \
                   boost-devel hdf5-devel pugixml-devel python3-devel eigen3-devel
RUN if [ -e ~/.ssh/id_rsa ]; then git clone --recursive --branch ipython git@gitlab.com:modernseismic/rnd/microseism.git microseism-src; else git clone --recursive --branch ipython https://gitlab.com/modernseismic/rnd/microseism.git microseism-src; fi
RUN cmake3 -DCMAKE_BUILD_TYPE=Release -DOpenCL_LIBRARY=/opt/amdgpu-pro/lib64/libOpenCL.so -Bmicroseism-build microseism-src
RUN cmake3 --build microseism-build
RUN mkdir -p /ms/microseism && \
    cp microseism-src/microseism/*.py microseism-build/microseism/micros_ext*.so /ms/microseism && \
    rm -r microseism-src microseism-build
RUN pip3 install lxml tqdm scipy ipython ipywidgets

